-- schema version 27 to 28

ALTER TABLE payment_custom ADD COLUMN mod_abs INTEGER DEFAULT NULL;
ALTER TABLE payment_custom ADD COLUMN mod_rel REAL DEFAULT NULL;
ALTER TABLE payment_custom ADD COLUMN mod_comment TEXT DEFAULT NULL;

PRAGMA writable_schema = ON;

UPDATE sqlite_schema SET sql = REPLACE(REPLACE(sql, 'amount  INTEGER NOT NULL', 'amount      INTEGER DEFAULT NULL'), 'comment TEXT', 'comment     TEXT    DEFAULT NULL')
WHERE type = 'table' AND name = 'payment_custom';

PRAGMA schema_version = 2701;
PRAGMA writable_schema = OFF;
